## appstream-glib 0.8.2

=== meson_options.txt ===
option('dep11', type : 'boolean', value : true, description : 'enable DEP-11')
option('builder', type : 'boolean', value : true, description : 'enable AppStream builder')
option('rpm', type : 'boolean', value : true, description : 'enable RPM support')
option('alpm', type : 'boolean', value : false, description : 'enable ALPM support')
option('fonts', type : 'boolean', value : true, description : 'enable font support')
option('stemmer', type : 'boolean', value : true, description : 'enable stemmer support')
option('man', type : 'boolean', value : true, description : 'generate man pages')
option('gtk-doc', type : 'boolean', value : false, description : 'generate API reference')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')

## appstream-glib 0.3.0

=== debian/changelog ===
appstream-glib (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #752900)

 -- Matthias Klumpp <mak@debian.org>  Tue, 23 Sep 2014 16:50:18 +0200

=== debian/control ===
Source: appstream-glib
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf (>= 4),
               docbook-utils,
               gtk-doc-tools,
               intltool,
               libarchive-dev,
               libgdk-pixbuf2.0-dev,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.40),
               libgtk-3-dev,
               libqt4-dev,
               libsoup2.4-dev,
               libsqlite3-dev,
               libxml2-dev (>= 2.8.0),
               libyaml-dev,
               xmlto
Standards-Version: 3.9.6
Homepage: http://people.freedesktop.org/~hughsient/appstream-glib/

Package: appstream-util
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Software component index generator
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package provides a utility to work with AppStream metadata, which uses
 libappstream-glib.

Package: libappstream-glib7
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package contains a GObject-based library to read and write AppStream
 XML metadata and retrieve additional data such as screenshots.
 .
 As opposed to libappstream, this library does not use an on-disk cache but
 reads data directly from the XML or DEP-11-YAML files.

Package: libappstream-glib-dev
Architecture: any
Section: libdevel
Depends: libappstream-glib7 (= ${binary:Version}),
         libgdk-pixbuf2.0-dev,
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Description: Library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package contains development files necessary to develop
 tools which use the libappstream-glib library.

Package: gir1.2-appstreamglib-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the libappstream-glib library
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package contains introspection data for the libappstream-glib library.

Package: appstream-glib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libappstream-glib-dev
Description: Developer documentation for the libappstream-glib library
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 .
 This package provides developer documentation for the libappstream-glib library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

AS_CONFIGURE_ARGS = --enable-dep11

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ #--with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# We don't ship the builder parts in Debian (yet)
	# Will probably be included at a later stage for 3rd-parties (we don't use it in Debian)
	rm -f  $(INSTALLDIR)/usr/bin/appstream-builder
	rm -rf $(INSTALLDIR)/usr/include/libappstream-builder
	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libappstream-builder*
	rm -rf $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/asb-plugins
	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/appstream-builder.pc
	rm -f  $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0/AppStreamBuilder*
	rm -f  $(INSTALLDIR)/usr/share/gir-1.0/AppStreamBuilder*
	rm -f  $(INSTALLDIR)/usr/share/man/man1/appstream-builder*

override_dh_auto_test:
	# Don't run tests, they are always failing at time (20140924)

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3

http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## appstream-glib 0.3.4

=== debian/changelog ===
appstream-glib (0.3.4-1ubuntu1) vivid; urgency=medium

  * Add upstream patch to fix tests
  * Enable tests
  * Disable silent rules, allows us to see compile results
  * Drop unneeded libqt4-dev b-dep
  * Update d/copyright

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 12 Feb 2015 19:10:42 +1100

appstream-glib (0.3.4-1) experimental; urgency=medium

  * New upstream unstable release: 0.3.4
  * Make appstream-util break appdata-tools (Closes: #768269)

 -- Matthias Klumpp <mak@debian.org>  Tue, 03 Feb 2015 20:38:42 +0100

appstream-glib (0.3.2-2) experimental; urgency=medium

  * Provide appdata-tools transitional package (Closes: #768269)
    - Thanks to Iain Lane for the patch!

 -- Matthias Klumpp <mak@debian.org>  Sun, 01 Feb 2015 16:32:10 +0100

appstream-glib (0.3.2-1) unstable; urgency=medium

  * New upstream unstable release: 0.3.2

 -- Matthias Klumpp <mak@debian.org>  Tue, 04 Nov 2014 18:17:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: appstream-glib
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-autoreconf (>= 4),
-               docbook-utils,
                gtk-doc-tools,
                intltool,
                libarchive-dev,
@@ -12,7 +12,6 @@
                libgirepository1.0-dev (>= 1.32),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev,
-               libqt4-dev,
                libsoup2.4-dev,
                libsqlite3-dev,
                libxml2-dev (>= 2.8.0),
@@ -20,11 +19,15 @@
                xmlto
 Standards-Version: 3.9.6
 Homepage: http://people.freedesktop.org/~hughsient/appstream-glib/
+Vcs-Git: git://anonscm.debian.org/pkg-packagekit/appstream-glib.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/appstream-glib.git
 
 Package: appstream-util
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: appdata-tools (<< 0.3.4)
+Breaks: appdata-tools (<< 0.3.4)
 Description: Software component index generator
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
@@ -88,4 +91,16 @@
  metadata about software components available in the package repositories
  of a distribution.
  .
- This package provides developer documentation for the libappstream-glib library.
+ This package provides developer documentation for the
+ libappstream-glib library.
+
+Package: appdata-tools
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, appstream-util
+Description: Transitional dummy package (appdata-tools -> appstream-util)
+ This is a transitional package to ease upgrades from appdata-tools to
+ appstream-util.
+ .
+ It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-AS_CONFIGURE_ARGS = --enable-dep11
+AS_CONFIGURE_ARGS = --enable-dep11 --disable-silent-rules
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -30,8 +30,5 @@
 	rm -f  $(INSTALLDIR)/usr/share/gir-1.0/AppStreamBuilder*
 	rm -f  $(INSTALLDIR)/usr/share/man/man1/appstream-builder*
 
-override_dh_auto_test:
-	# Don't run tests, they are always failing at time (20140924)
-
 override_dh_install:
 	dh_install --list-missing

## appstream-glib 0.4.0

=== debian/changelog ===
appstream-glib (0.4.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.4.0
    - Closes: #787590
  * Drop unneeded build dependencies
  * Enable unittests and autoreconf again
  * Fix autogen run with current intltool
  * Add symbols file for appstream-glib

 -- Matthias Klumpp <mak@debian.org>  Fri, 05 Jun 2015 14:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: appstream-glib
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-autoreconf (>= 4),
                gtk-doc-tools,
@@ -14,7 +13,6 @@
                libgtk-3-dev,
                libsoup2.4-dev,
                libsqlite3-dev,
-               libxml2-dev (>= 2.8.0),
                libyaml-dev,
                xmlto
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

AS_CONFIGURE_ARGS = --disable-silent-rules \
		--disable-builder \
		--disable-rpm \
		--disable-ostree \
		--enable-dep11

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_install:
	dh_install --list-missing

## appstream-glib 0.5.0

=== debian/changelog ===
appstream-glib (0.5.0-0ubuntu3) wily; urgency=medium

  * Backport c14ea9 from master.  Fixes comparisons using base 16 numbers
    in appstream XML.

 -- Mario Limonciello <mario_limonciello@Dell.com>  Wed, 23 Sep 2015 13:56:20 -0500

appstream-glib (0.5.0-0ubuntu2) wily; urgency=medium

  * keep builder disabled (gcab still not in main)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 20 Aug 2015 21:56:45 -0500

appstream-glib (0.5.0-0ubuntu1~wily1) wily; urgency=medium

  * New upstream release: 0.5.0.
  * Update package ABI to 8

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 20 Aug 2015 17:52:51 -0500

appstream-glib (0.4.1-1) unstable; urgency=medium

  * New upstream bugfix release: 0.4.1
    - Closes: #791860
  * Add dependency on libarchive-dev to libappstream-glib-dev
    (Closes: #789578)
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 20 Jul 2015 20:12:02 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  This package provides a utility to work with AppStream metadata, which uses
  libappstream-glib.
 
-Package: libappstream-glib7
+Package: libappstream-glib8
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -55,7 +55,8 @@
 Package: libappstream-glib-dev
 Architecture: any
 Section: libdevel
-Depends: libappstream-glib7 (= ${binary:Version}),
+Depends: libappstream-glib8 (= ${binary:Version}),
+         libarchive-dev,
          libgdk-pixbuf2.0-dev,
          libglib2.0-dev (>= 2.40),
          ${misc:Depends}
@@ -96,7 +97,8 @@
 Architecture: all
 Section: oldlibs
 Priority: extra
-Depends: ${misc:Depends}, appstream-util
+Depends: appstream-util,
+         ${misc:Depends}
 Description: Transitional dummy package (appdata-tools -> appstream-util)
  This is a transitional package to ease upgrades from appdata-tools to
  appstream-util.

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,5 @@
 
 override_dh_install:
 	dh_install --list-missing
+override_dh_auto_test:
+

## appstream-glib 0.5.13

=== debian/changelog ===
appstream-glib (0.5.13-1ubuntu6) xenial; urgency=medium

  * debian/patches/0001-Never-include-in-attribute-values.patch:
    - Handle '&' in attribute values (LP: #1780442)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 30 Jul 2018 11:43:02 +1200

appstream-glib (0.5.13-1ubuntu5) xenial; urgency=medium

  * debian/patches/0001-Skip-loading-desktop-data-from-Snap-directory.patch:
    - Don't load .desktop files provided by snapd - we already have this information
      from snapd. (LP: #1700994)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Jul 2017 13:49:05 +1200

appstream-glib (0.5.13-1ubuntu4) xenial; urgency=medium

  * debian/patches/04_app_kind_strings.patch:
  * debian/patches/05_all_component_types.patch:
    - Fix non-desktop applications not being extracted (LP: #1629754)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Oct 2016 16:09:34 +1300

appstream-glib (0.5.13-1ubuntu3) xenial; urgency=medium

  * Catch errors from libyaml and display proper warnings
    rather than spin on them. (LP: #1591868)

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 30 Aug 2016 13:51:56 -0500

appstream-glib (0.5.13-1ubuntu2) xenial; urgency=medium

  * Do not load stock icons from the metadata. This is needed to not
    trigger a bug in GNOME Software which can not be fixed easily
    in Xenial. This will resolve the regression described in LP: #1576780

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Jun 2016 18:02:34 +0200

appstream-glib (0.5.13-1ubuntu1) xenial; urgency=medium

  * yaml-icon-spec-compliant.patch: Correctly implement the DEP-11 YAML
    specification for icons (LP: #1576780).

 -- Matthias Klumpp <mak@debian.org>  Fri, 29 Apr 2016 18:22:54 +0200

appstream-glib (0.5.13-1) unstable; urgency=medium

  * New upstream release: 0.5.13
  * xappstreamignore.patch: Support the X-AppStream-Ignore field
    in .desktop files
  * Add build dependency: libjson-glib-dev
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 06 Apr 2016 14:09:09 +0200

appstream-glib (0.5.10-2) unstable; urgency=medium

  * fix-parameter-order.patch:
    - Fix loading of AppStream metadata
  * support-mediabaseurl.patch:
    - Implement DEP-11 MediaBaseUrl support (Closes: #808993)

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Mar 2016 20:06:26 +0100

appstream-glib (0.5.10-1) unstable; urgency=medium

  * New upstream release: 0.5.10
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Feb 2016 18:28:42 +0100

appstream-glib (0.5.8-1) unstable; urgency=medium

  * New upstream release: 0.5.8
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 04 Feb 2016 14:49:35 +0100

appstream-glib (0.5.5-1) unstable; urgency=medium

  * New upstream release: 0.5.5
  * Update package descriptions
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Dec 2015 08:20:14 +0100

appstream-glib (0.5.4-1) unstable; urgency=medium

  * New upstream release: 0.5.4
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Dec 2015 16:44:18 +0100

appstream-glib (0.5.2-2) unstable; urgency=medium

  * libappstream-glib-dev: Requires libgcab to be installed now

 -- Matthias Klumpp <mak@debian.org>  Thu, 05 Nov 2015 19:24:12 +0100

appstream-glib (0.5.2-1) unstable; urgency=medium

  * New upstream release: 0.5.2
    - Closes: #803327
  * Tighten dependency on GLib
  * 01_Strip-paths-when-decompressing-fw.patch: Fix firmware update support
  * Drop 01_fix-dep11.patch: Applied upstream
  * Add build-dependency on libgcab-dev to enable firmware support

 -- Matthias Klumpp <mak@debian.org>  Mon, 02 Nov 2015 18:26:34 +0100

appstream-glib (0.5.1-1) unstable; urgency=medium

  * New upstream release: 0.5.1
  * 01_fix-dep11.patch: Make asglib process DEP-11 data again
  * Drop appdata-validate: Nobody should use it anymore
  * Disable tests

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Oct 2015 18:56:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,16 @@
                gtk-doc-tools,
                intltool,
                libarchive-dev,
+               libgcab-dev (>= 0.6),
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 1.32),
-               libglib2.0-dev (>= 2.40),
+               libglib2.0-dev (>= 2.46),
                libgtk-3-dev,
-               libsoup2.4-dev,
+               libjson-glib-dev,
+               libsoup2.4-dev (>= 2.52),
                libsqlite3-dev,
                libyaml-dev,
+               uuid-dev,
                xmlto
 Standards-Version: 3.9.6
 Homepage: http://people.freedesktop.org/~hughsient/appstream-glib/
@@ -26,13 +29,17 @@
          ${shlibs:Depends}
 Replaces: appdata-tools (<< 0.3.4)
 Breaks: appdata-tools (<< 0.3.4)
-Description: Software component index generator
+Description: Utility to work with AppStream metadata
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
  .
- This package provides a utility to work with AppStream metadata, which uses
+ This package provides an utility to work with AppStream metadata, which uses
  libappstream-glib.
+ .
+ It also contains Autotools macros to easily integrate AppStream metadata into
+ an Autotools-based buildsystem, by running 'appstream-util' to validate the
+ files before installing them.
 
 Package: libappstream-glib8
 Architecture: any
@@ -41,7 +48,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: Library to access AppStream services
+Description: GNOME library to access AppStream services
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
@@ -50,17 +57,19 @@
  XML metadata and retrieve additional data such as screenshots.
  .
  As opposed to libappstream, this library does not use an on-disk cache but
- reads data directly from the XML or DEP-11-YAML files.
+ reads data directly from the XML or DEP-11 YAML files.
 
 Package: libappstream-glib-dev
 Architecture: any
 Section: libdevel
 Depends: libappstream-glib8 (= ${binary:Version}),
          libarchive-dev,
+         libgcab-dev (>= 0.6),
          libgdk-pixbuf2.0-dev,
          libglib2.0-dev (>= 2.40),
+         uuid-dev,
          ${misc:Depends}
-Description: Library to access AppStream services (development files)
+Description: GNOME library to access AppStream services (development files)
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 		--disable-builder \
 		--disable-rpm \
 		--disable-ostree \
-		--enable-dep11
+		--enable-dep11 \
+		--enable-firmware
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -25,5 +26,8 @@
 
 override_dh_install:
 	dh_install --list-missing
+
 override_dh_auto_test:
-
+	# DISABLED
+	# Tests currently fail with `dconf-CRITICAL **: unable to create directory '/run/user/1000/dconf': Permission denied.`
+	# on some machines - needs to be investigated.

## appstream-glib 0.6.3

=== debian/changelog ===
appstream-glib (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3
  * debian/rules: Run dpkg-gensymbols with -c4, to error out on symbols file
    problems.
  * d/p/0001-Don-t-show-a-critical-warning-on-invalid-yaml-file.patch:
    Cherry-pick upstream patch to not error out on invalid Categories fields
    in the yaml input.

 -- Iain Lane <laney@debian.org>  Wed, 05 Oct 2016 17:31:37 +0100

appstream-glib (0.6.2-1) unstable; urgency=medium

  * New upstream release: 0.6.2
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 31 Aug 2016 08:00:08 +0200

appstream-glib (0.6.1-1) unstable; urgency=medium

  * New upstream release: 0.6.1
  * Drop all patches: Applied upstream
  * Build-depend on gperf
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Aug 2016 19:48:46 +0200

appstream-glib (0.5.17-1) unstable; urgency=medium

  * New upstream release: 0.5.17
    - Closes: #833293
  * no-redundant-monitor.patch: Fix redundant monitoring of files
  * read-component-types.patch: Read modern component type names
  * yaml-fix-component-types.patch: Fix reading of components that aren't apps
  * Update symbols file
  * Make dev package depend on GIR package (Closes: #833290)

 -- Matthias Klumpp <mak@debian.org>  Thu, 11 Aug 2016 19:54:06 +0200

appstream-glib (0.5.16-1) unstable; urgency=medium

  * New upstream release: 0.5.16
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Wed, 29 Jun 2016 22:54:16 +0200

appstream-glib (0.5.14-3) unstable; urgency=medium

  * Update yaml-icon-spec-compliant.patch to correctly set icon prefixes

 -- Matthias Klumpp <mak@debian.org>  Sat, 30 Apr 2016 10:18:42 +0200

appstream-glib (0.5.14-2) unstable; urgency=medium

  * yaml-icon-spec-compliant.patch: Correctly implement the DEP-11 YAML
    specification for icons (LP: #1576780).

 -- Matthias Klumpp <mak@debian.org>  Fri, 29 Apr 2016 18:22:54 +0200

appstream-glib (0.5.14-1) unstable; urgency=medium

  * New upstream release: 0.5.14
  * Drop all patches: Applied upstream
  * Update .symbols file
  * Use secure Vcs-* URLs

 -- Matthias Klumpp <mak@debian.org>  Mon, 25 Apr 2016 17:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-autoreconf (>= 4),
+               gperf,
                gtk-doc-tools,
                intltool,
                libarchive-dev,
@@ -18,10 +19,10 @@
                libyaml-dev,
                uuid-dev,
                xmlto
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://people.freedesktop.org/~hughsient/appstream-glib/
-Vcs-Git: git://anonscm.debian.org/pkg-packagekit/appstream-glib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/appstream-glib.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-glib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-packagekit/appstream-glib.git
 
 Package: appstream-util
 Architecture: any
@@ -62,7 +63,8 @@
 Package: libappstream-glib-dev
 Architecture: any
 Section: libdevel
-Depends: libappstream-glib8 (= ${binary:Version}),
+Depends: gir1.2-appstreamglib-1.0 (= ${binary:Version}),
+         libappstream-glib8 (= ${binary:Version}),
          libarchive-dev,
          libgcab-dev (>= 0.6),
          libgdk-pixbuf2.0-dev,

## appstream-glib 0.6.8

=== debian/changelog ===
appstream-glib (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 05 Feb 2017 16:09:19 +0100

appstream-glib (0.6.7-1) unstable; urgency=medium

  * New upstream version: 0.6.7
    - Closes: #851646
  * Drop scan-metainfo.patch: Applied upstream
  * support-custom.patch: Support the <custom/> tag
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 19 Jan 2017 20:34:06 +0100

appstream-glib (0.6.6-1) unstable; urgency=medium

  * New upstream version: 0.6.6
  * scan-metainfo.patch: Scan for data in /usr/share/metainfo
    when composing collection data
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2016 20:10:42 +0100

appstream-glib (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5 (Closes: #844177)
    + Add app-removed, app-added and app-changed signals to AsStore
    + Add as_store_load_search_cache()
    + Add a 'watch' command to appstream-util
    + Allow only loading native languages when parsing AppStream
    + Allow the client to control what search fields are indexed
  * debian/patches: Drop, the only patch is applied upstream.
  * debian/libappstream-glib8.symbols: Update with new symbols in this
    release.
  * debian/compat, debian/control: Use debhelper compat level 10.

 -- Iain Lane <laney@debian.org>  Mon, 05 Dec 2016 17:32:08 +0000

appstream-glib (0.6.4-2) unstable; urgency=medium

  * Build-depend on autoconf-archive (Closes: #837859)

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Oct 2016 13:58:32 +0200

appstream-glib (0.6.4-1) unstable; urgency=medium

  * New upstream version: 0.6.4
  * fix-crash-addon.patch: Revert wrong commit which causes
    GNOME Software crash.
  * Update symbols file.

 -- Matthias Klumpp <mak@debian.org>  Fri, 21 Oct 2016 10:28:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: autoconf-archive,
+               debhelper (>= 10),
                dh-autoreconf (>= 4),
                gperf,
                gtk-doc-tools,

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
 	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
 override_dh_install:
 	dh_install --list-missing

## appstream-glib 0.6.9

=== debian/changelog ===
appstream-glib (0.6.9-1ubuntu2) zesty; urgency=medium

  * debian/patches/0001-trivial-Prevent-crash-when-a-sanity-check-fails.patch:
    - Fix crash (LP: #1675633)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Jul 2017 12:27:20 +1200

appstream-glib (0.6.9-1ubuntu1) zesty; urgency=medium

  * debian/patches/0001-Skip-loading-desktop-data-from-Snap-directory.patch:
    - Don't load .desktop files provided by snapd - we already have this information
      from snapd. (LP: #1700994)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Jul 2017 13:49:05 +1200

appstream-glib (0.6.9-1) experimental; urgency=medium

  * New upstream version 0.6.9
    - Add AsFormat object and deprecate app_set_source_file() (Richard Hughes)
    - Do not set the AsApp state using the AsRelease state (Richard Hughes)
    - Fail to validate if any release is in the future (Richard Hughes)
    - Fail to validate if the release children are in the wrong order (Richard Hughes)
  * debian/patches/0001-as-node-Add-back-as_node_context_-get-set-_source_ki.patch:
    Backport patch from upstream to restore some symbols & keep ABI
    compatibility.
  * debian/libappstream-glib8.symbols: Update with new symbols.

 -- Iain Lane <laney@debian.org>  Tue, 28 Feb 2017 17:54:19 +0000

## appstream-glib 0.6.13

=== debian/changelog ===
appstream-glib (0.6.13-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 15 Mar 2018 17:01:59 -0700

appstream-glib (0.6.13-1) experimental; urgency=medium

  * [e21c344] New upstream version 0.6.9
  * [be4e66a] gbp.conf: Set branch to experimental
  * [c5ab30a] New upstream version 0.6.13
    - Add a 'check-component' command to appstream-util
    - Add as_app_remove_category() and as_app_remove_kudo()
    - Add as_utils_guid_from_data()
    - Add functions for getting the AsApp and AsStore search match
    - Add support for icon scaling
    - Add support for <launchable>
    - Allow using the app origin as a search keyword
    - Validate kudos in AppData and AppStream files
    - Add initial support for Mozilla .xpi translations
    - Make content_rating required for any component with a 'Game' category
  * [71c4081] debian/patches: Drop, applied in this release.
  * [bdb05dc] debian/libappstream-glib8.symbols: Update with new symbols for these releases

 -- Iain Lane <laney@debian.org>  Fri, 12 May 2017 16:52:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: appstream-glib
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: autoconf-archive,
                debhelper (>= 10),
                dh-autoreconf (>= 4),

## appstream-glib 0.7.1

=== debian/changelog ===
appstream-glib (0.7.1-2) unstable; urgency=medium

  * Add conditionalize-speed-tests.patch: Don't run speed tests on slow
    architectures (Closes: #870833)
  * Add fix-tests.patch: Make tests work properly again
  * Add prefer-metainfo.patch: Prefer the metainfo directory, instead of
    defaulting to the legacy location
  * Add relax-id-constraints.patch: Validate component ID according to the
    specification, with relaxed constraints

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Aug 2017 19:18:34 +0200

appstream-glib (0.7.1-1) unstable; urgency=medium

  * New upstream version: 0.7.1
    - Install appdata-xml.m4 (Closes: #870710)
  * d/rules: Use fail-missing
  * Refresh gcab patch

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Aug 2017 17:18:48 -0400

appstream-glib (0.7.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream version: 0.7.0
  * tests-Fix-gcab-executable-requirement.patch: Replace with
    latest version.

  [ Matthias Klumpp ]
  * Upload to unstable
  * Drop appdata-tools transitional package
  * Bump standards version: No changes needed
  * Depend on gobject-introspection for GIR dh addon

  [ Dan Nicholson ]
  * debian/rules: Pass --with gir to calculate ${gir:Depends}
    - Closes: #860836

 -- Matthias Klumpp <mak@debian.org>  Thu, 03 Aug 2017 15:20:12 -0400

appstream-glib (0.7.0~git20170615-1) experimental; urgency=medium

  * [62bc645] New upstream version 0.7.0~git20170615
    + This is an upstream snapshot created with `git archive' from commit
      c74fa38af1cac2d259c62df4d4a0b852375bcbd3.
  * [82c3da3] debian/{control,rules}: Switch to meson. There's a 'configure'
    script, which debhelper uses by default. Pass '-Smeson' to force the meson
    build system.
  * [b54361c] debian/libappstream-glib8.symbols: Update for this release.
    as_get_resource() is dropped, but that is a leaked symbol that shouldn't
    have been exposed anyway. I'm letting it slide.
  * [6b73653] debian/control: Drop intltool. No longer used.
  * [fa5a9d7] Conditionally skip test which requires 'gcab' if it isn't
    installed
  * [55419a6] Run the tests

 -- Iain Lane <laney@debian.org>  Thu, 15 Jun 2017 17:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: appstream-glib
 Section: admin
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: autoconf-archive,
-               debhelper (>= 10),
-               dh-autoreconf (>= 4),
+Maintainer: Matthias Klumpp <mak@debian.org>
+Build-Depends: debhelper (>= 10.3),
+               gcab,
+               gobject-introspection,
                gperf,
                gtk-doc-tools,
-               intltool,
                libarchive-dev,
                libgcab-dev (>= 0.6),
                libgdk-pixbuf2.0-dev,
-               libgirepository1.0-dev (>= 1.32),
+               libgirepository1.0-dev (>= 1.53),
                libglib2.0-dev (>= 2.46),
                libgtk-3-dev,
                libjson-glib-dev,
                libsoup2.4-dev (>= 2.52),
                libsqlite3-dev,
+               libstemmer-dev,
                libyaml-dev,
+               meson (>= 0.40),
                uuid-dev,
                xmlto
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://people.freedesktop.org/~hughsient/appstream-glib/
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-glib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-packagekit/appstream-glib.git
@@ -105,15 +105,3 @@
  .
  This package provides developer documentation for the
  libappstream-glib library.
-
-Package: appdata-tools
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: appstream-util,
-         ${misc:Depends}
-Description: Transitional dummy package (appdata-tools -> appstream-util)
- This is a transitional package to ease upgrades from appdata-tools to
- appstream-util.
- .
- It can safely be removed.

## appstream-glib 0.7.4

=== debian/changelog ===
appstream-glib (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4
    - Resolves test failure on i386 (Closes: #878311)
  * Bump standards version: No changes needed
  * Drop no-flatpak-default-origin-fallback.patch: Applied upstream
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 09 Nov 2017 18:38:46 +0100

appstream-glib (0.7.2-1) unstable; urgency=medium

  * New upstream version: 0.7.2
  * Drop all patches (applied upstream) except for
    tests-Fix-gcab-executable-requirement.patch, which was updated for the
    current release
  * no-flatpak-default-origin-fallback.patch: Don't assume Flatpak as
    origin if no origin is set
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Oct 2017 19:02:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 10.4),
                gcab,
                gobject-introspection,
                gperf,
@@ -21,8 +21,8 @@
                meson (>= 0.40),
                uuid-dev,
                xmlto
-Standards-Version: 4.0.0
-Homepage: http://people.freedesktop.org/~hughsient/appstream-glib/
+Standards-Version: 4.1.1
+Homepage: https://github.com/hughsie/appstream-glib
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-glib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-packagekit/appstream-glib.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

AS_CONFIGURE_ARGS = -Denable-builder=false \
		-Denable-rpm=false \
		-Denable-ostree=false \
		-Denable-dep11=true \
		-Denable-firmware=true \
		-Denable-rpm=false \
		-Denable-gtk-doc=true

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ -Smeson --with=gir

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/debian/tmp-xdg-runtime-dir

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	rm -f $(INSTALLDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-xdg-runtime-dir dh_auto_test

## appstream-glib 0.7.7

=== debian/changelog ===
appstream-glib (0.7.7-2) unstable; urgency=medium

  * Team upload.
  * Have libappstream-glib-dev depend on libsoup2.4-dev and libyaml-dev
    to match pkgconfig file generated by meson >= 0.45. See bug 892956

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Mar 2018 17:20:23 -0400

appstream-glib (0.7.7-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.7.7
  * Update Vcs-* URLs for switch to Salsa
  * d/libappstream-glib8.symbols: Update symbols
  * Switch to dh compat level 11
  * d/copyright: Use secure URLs

  [ Iain Lane ]
  * New upstream version: 0.7.6
    - Builds properly (Closes: #890893)
    - Add support for release types
    - Do not deference invalid lists when parsing invalid desktop files (LP:
      #1744941)
    - Fix an invalid read when using as_app_parse_data() from Python
    - Never include '&' in attribute values
    - Add as_app_parse_data()
    - Add as_store_get_apps_by_provide()
    - Add more GObject Introspection annotations for Python
    - Support OARS v1.1 additions
    - Use pngquant to make the application icons take up less space
  * Fix meson options to drop 'enable', following upstream.
  * debian/control: Bump json-glib version, following upstream.
  * debian/libappstream-glib8.symbols: New symbols for these releases.

 -- Matthias Klumpp <mak@debian.org>  Thu, 15 Mar 2018 08:34:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 10.4),
+Build-Depends: debhelper (>= 11),
                gcab,
                gobject-introspection,
                gperf,
@@ -13,7 +13,7 @@
                libgirepository1.0-dev (>= 1.53),
                libglib2.0-dev (>= 2.46),
                libgtk-3-dev,
-               libjson-glib-dev,
+               libjson-glib-dev (>= 1.1.2),
                libsoup2.4-dev (>= 2.52),
                libsqlite3-dev,
                libstemmer-dev,
@@ -21,10 +21,10 @@
                meson (>= 0.40),
                uuid-dev,
                xmlto
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/hughsie/appstream-glib
-Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-glib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-packagekit/appstream-glib.git
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-glib.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-glib
 
 Package: appstream-util
 Architecture: any
@@ -71,6 +71,8 @@
          libgcab-dev (>= 0.6),
          libgdk-pixbuf2.0-dev,
          libglib2.0-dev (>= 2.40),
+         libsoup2.4-dev (>= 2.52),
+         libyaml-dev,
          uuid-dev,
          ${misc:Depends}
 Description: GNOME library to access AppStream services (development files)

## appstream-glib 0.7.12

=== debian/changelog ===
appstream-glib (0.7.12-1) unstable; urgency=medium

  * New upstream version: 0.7.12
  * Update .symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Aug 2018 22:52:06 +0200

appstream-glib (0.7.10-1) unstable; urgency=medium

  * New upstream version: 0.7.10
  * Bump standards version: No changes needed
  * Drop tests-Fix-gcab-executable-requirement.patch: No longer needed
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 30 Jul 2018 12:15:34 +0800

## appstream-glib 0.7.14

=== debian/changelog ===
appstream-glib (0.7.14-1+deb10u1+rebuild) buster; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS in the year 2020.
    (Closes: #949169)

 -- Adrian Bunk <bunk@debian.org>  Thu, 09 Jul 2020 15:16:46 +0300

appstream-glib (0.7.14-1) unstable; urgency=medium

  * Team upload
  * New upstream version: 0.7.14
  * Update .symbols file

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Dec 2018 16:29:52 -0500

=== debian/watch ===
version=3

https://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## appstream-glib 0.7.16

=== debian/changelog ===
appstream-glib (0.7.16-1ubuntu1) focal; urgency=medium

  * Fix test suite to pass in 2020. Fix from upstream git.

 -- William Grant <wgrant@ubuntu.com>  Sun, 05 Apr 2020 18:36:35 +1000

appstream-glib (0.7.16-1) unstable; urgency=medium

  * New upstream version 0.7.16
  * Set maintainer to PkgUtopia team (Closes: #915705)
    - This should have been done a while back :-)
  * Switch to dh compat level 12
  * Drop build dependency on SQLite
  * Update .symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Tue, 01 Oct 2019 18:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: appstream-glib
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PkgUtopia Team <team+pkgutopia-team@tracker.debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>
+Build-Depends: debhelper-compat (= 12),
                gcab,
                gobject-introspection,
                gperf,
@@ -15,13 +17,12 @@
                libgtk-3-dev,
                libjson-glib-dev (>= 1.1.2),
                libsoup2.4-dev (>= 2.52),
-               libsqlite3-dev,
                libstemmer-dev,
                libyaml-dev,
                meson (>= 0.40),
                uuid-dev,
                xmlto
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Homepage: https://github.com/hughsie/appstream-glib
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-glib.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-glib

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,12 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-AS_CONFIGURE_ARGS = -Denable-builder=false \
-		-Denable-rpm=false \
-		-Denable-ostree=false \
-		-Denable-dep11=true \
-		-Denable-firmware=true \
-		-Denable-rpm=false \
-		-Denable-gtk-doc=true
+AS_CONFIGURE_ARGS = -Dbuilder=false \
+		-Drpm=false \
+		-Dostree=false \
+		-Ddep11=true \
+		-Dfirmware=true \
+		-Dgtk-doc=true
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp

## appstream-glib 0.7.17

=== debian/changelog ===
appstream-glib (0.7.17-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Laurent Bigonville ]
  * New upstream version 0.7.17 (Closes: #949169)
  * debian/control: Bump libglib2.0-dev (build-)dependency to 2.58.0
  * d/p/0001-Properly-initialize-unique_id_mutex.patch: Fix FTBFS on non-linux
  * debian/control: Add severals -doc packages to the BDI to fix links between
    doc files
  * debian/libappstream-glib8.symbols: Remove as_app_parse_desktop_kf, never
    meant to be public
  * debian/libappstream-glib8.symbols: Add Build-Depends-Package field
  * debian/control: Make the -dev and gir pkg ma:same and -doc ma:foreign
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Apr 2020 11:32:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: appstream-glib
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PkgUtopia Team <team+pkgutopia-team@tracker.debian.org>
+Maintainer: PkgUtopia Team <team+pkgutopia-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gcab,
@@ -13,7 +12,7 @@
                libgcab-dev (>= 0.6),
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 1.53),
-               libglib2.0-dev (>= 2.46),
+               libglib2.0-dev (>= 2.58.0),
                libgtk-3-dev,
                libjson-glib-dev (>= 1.1.2),
                libsoup2.4-dev (>= 2.52),
@@ -22,7 +21,10 @@
                meson (>= 0.40),
                uuid-dev,
                xmlto
-Standards-Version: 4.4.0
+Build-Depends-Indep: appstream-doc <!nodoc>,
+                     libgdk-pixbuf2.0-doc <!nodoc>,
+                     libglib2.0-doc <!nodoc>
+Standards-Version: 4.5.0
 Homepage: https://github.com/hughsie/appstream-glib
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-glib.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-glib
@@ -71,11 +73,12 @@
          libarchive-dev,
          libgcab-dev (>= 0.6),
          libgdk-pixbuf2.0-dev,
-         libglib2.0-dev (>= 2.40),
+         libglib2.0-dev (>= 2.58.0),
          libsoup2.4-dev (>= 2.52),
          libyaml-dev,
          uuid-dev,
          ${misc:Depends}
+Multi-Arch: same
 Description: GNOME library to access AppStream services (development files)
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
@@ -89,6 +92,7 @@
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: GObject introspection data for the libappstream-glib library
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
@@ -101,6 +105,8 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: libappstream-glib-dev
+Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Description: Developer documentation for the libappstream-glib library
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories

## appstream-glib 0.7.18

=== debian/changelog ===
appstream-glib (0.7.18-2) unstable; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * Backport upstream fixes for DEP-11 parsing

  [ Matthias Klumpp ]
  * Bump standards version (no changes needed)
  * Don't use removed Meson build flags (Closes: #998609)

 -- Matthias Klumpp <mak@debian.org>  Sun, 07 Nov 2021 19:38:32 +0100

appstream-glib (0.7.18-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.7.18
  * Drop patches: Applied upstream
  * Update symbols file for new release

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.6.13-1, 0.6.9-1.
  * Set upstream metadata fields: Bug-Submit.

  [ Simon McVittie ]
  * Preferentially (build-)depend on libgdk-pixbuf-2.0-dev

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 00:14:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gtk-doc-tools,
                libarchive-dev,
                libgcab-dev (>= 0.6),
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 1.53),
                libglib2.0-dev (>= 2.58.0),
                libgtk-3-dev,
@@ -24,7 +24,7 @@
 Build-Depends-Indep: appstream-doc <!nodoc>,
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/hughsie/appstream-glib
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-glib.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-glib
@@ -72,7 +72,7 @@
          libappstream-glib8 (= ${binary:Version}),
          libarchive-dev,
          libgcab-dev (>= 0.6),
-         libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
          libglib2.0-dev (>= 2.58.0),
          libsoup2.4-dev (>= 2.52),
          libyaml-dev,
@@ -104,7 +104,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libappstream-glib-dev
 Multi-Arch: foreign
 Build-Profiles: <!nodoc>
 Description: Developer documentation for the libappstream-glib library

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,14 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-AS_CONFIGURE_ARGS = -Dbuilder=false \
+AS_CONFIGURE_ARGS = -Ddep11=true \
+		-Dbuilder=false \
 		-Drpm=false \
-		-Dostree=false \
-		-Ddep11=true \
-		-Dfirmware=true \
-		-Dgtk-doc=true
+		-Dalpm=false \
+		-Dstemmer=true \
+		-Dman=true \
+		-Dgtk-doc=true \
+		-Dintrospection=true
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
